package dfixer;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;

public class InsList {
	
	private ArrayList<Instruction> Ilist = new ArrayList<Instruction>();
	
	public InsList(String insfilename,String path){
		File file = new File(path+insfilename);
		BufferedReader br = null;
		ArrayList<Instruction> tmplist = new ArrayList<Instruction>();
		try {
			br = new BufferedReader(new FileReader(file));
			String tmp = null;
			while((tmp = br.readLine())!=null){
				Instruction ins = new Instruction(tmp,path);
				tmplist.add(ins);
			}
			br.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}







